package ibase.webitm.ejb.adm.adv;

import ibase.webitm.utility.ITMException;

import java.rmi.RemoteException;
import java.sql.Connection;

import javax.ejb.Remote;

@Remote
public interface MPReqmntConfirmationRemote 
{
	public String mpreqApprove() throws RemoteException, ITMException;
	public String mpreqApprove( String tranID,String xtraParams,String forcedFlag )throws RemoteException, ITMException;
	public String mpreqApprove( String tranId,String xtraParams,String xmlString,Connection conn) throws RemoteException,ITMException;
}
